Update business information (each field optional)
curl --request PATCH \
--url https://asikodevapi.candourit.io/v1/wholesale/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Green Valley Foods Ltd",
"businessAddress": "14 Trade Avenue, Ikeja",
"state": "Lagos",
"country": "Nigeria",
"registrationNumber": "RC-1234567",
"estimatedMonthlyOrderMin": 6000,
"estimatedMonthlyOrderMax": 12000,
"contactFullName": "Ngozi Balogun",
"contactPhone": "+2348012345678",
"contactEmail": "ngozi@greenvalleyfoods.com"
}
'import requests
url = "https://asikodevapi.candourit.io/v1/wholesale/me"
payload = {
"businessName": "Green Valley Foods Ltd",
"businessAddress": "14 Trade Avenue, Ikeja",
"state": "Lagos",
"country": "Nigeria",
"registrationNumber": "RC-1234567",
"estimatedMonthlyOrderMin": 6000,
"estimatedMonthlyOrderMax": 12000,
"contactFullName": "Ngozi Balogun",
"contactPhone": "+2348012345678",
"contactEmail": "ngozi@greenvalleyfoods.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessName: 'Green Valley Foods Ltd',
businessAddress: '14 Trade Avenue, Ikeja',
state: 'Lagos',
country: 'Nigeria',
registrationNumber: 'RC-1234567',
estimatedMonthlyOrderMin: 6000,
estimatedMonthlyOrderMax: 12000,
contactFullName: 'Ngozi Balogun',
contactPhone: '+2348012345678',
contactEmail: 'ngozi@greenvalleyfoods.com'
})
};
fetch('https://asikodevapi.candourit.io/v1/wholesale/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}wholesale
Update business information (each field optional)
PATCH
/
v1
/
wholesale
/
me
Update business information (each field optional)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Green Valley Foods Ltd"
Example:
"14 Trade Avenue, Ikeja"
Example:
"Lagos"
Example:
"Nigeria"
Example:
"RC-1234567"
Example:
6000
Example:
12000
Example:
"Ngozi Balogun"
Example:
"+2348012345678"
Example:
"ngozi@greenvalleyfoods.com"
Response
200 - application/json
The response is of type object.
⌘I